ru.bitel.oss.systems.inventory.resource.server.bean

## Class DeviceInterfaceIndexDao

- java.lang.Object
- - ru.bitel.oss.systems.inventory.resource.server.bean.DeviceInterfaceIndexDao

-     public class DeviceInterfaceIndexDao
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DeviceInterfaceIndexDao.DeviceInterfaceIndexItem`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceInterfaceIndexDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DeviceInterfaceIndex` | `getFromRS(java.sql.ResultSet rs)`
    `static java.util.Map<java.lang.Integer,java.util.List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>>` | `getIfaceIndexMap(DeviceInterfaceIndexDao interfaceIndexDao, java.util.Map<java.lang.Integer,java.util.Map<java.lang.Integer,java.util.List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>>> deviceInterfaceIndexMap, int deviceId)`
    `java.util.List<DeviceInterfaceIndex>` | `list(int deviceId, java.lang.Integer interfaceId, java.util.Date time)`
    `void` | `update(int deviceId, int interfaceId, java.util.List<DeviceInterfaceIndex> interfaceIndexList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceInterfaceIndexDao

          public DeviceInterfaceIndexDao(java.sql.Connection con,
                                         int moduleId)

  - ### Method Detail

    - #### getFromRS

          protected DeviceInterfaceIndex getFromRS(java.sql.ResultSet rs)
                                            throws java.sql.SQLException,
                                                   ru.bitel.bgbilling.common.BGException

      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(int deviceId,
                             int interfaceId,
                             java.util.List<DeviceInterfaceIndex> interfaceIndexList)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<DeviceInterfaceIndex> list(int deviceId,
                                                           java.lang.Integer interfaceId,
                                                           java.util.Date time)
                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getIfaceIndexMap

          public static java.util.Map<java.lang.Integer,java.util.List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>> getIfaceIndexMap(DeviceInterfaceIndexDao interfaceIndexDao,
                                                                                                                                           java.util.Map<java.lang.Integer,java.util.Map<java.lang.Integer,java.util.List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>>> deviceInterfaceIndexMap,
                                                                                                                                           int deviceId)
                                                                                                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`